<?php

include_once("config.php");

if ($_GET['url']) {
	$_SESSION['snapshot_url'] = $_GET['url'];
}
$id=$_POST['id'];
$pin=$_POST['pin'];
$check=array($id,$pin);


$go=validatehack($check);

if ($go==1)
{

	if ($_POST['id'] && $_POST['pin']) {
		$template = new logingroup_page("template_logingroup.html", $_POST['id'], $_POST['pin']);
	} else {
		$template = new login_form("template_logingroup.html", $_GET['expired']);
	}
	
	$template->show();
}
else {
  echo "Unauthorized Access";
}


?>